# Method: regionalinventory.custombatch

- [HTTP request](https://developers.google.com/shopping-content/reference/rest/v2.1/regionalinventory/custombatch#body.HTTP_TEMPLATE)
- [Request body](https://developers.google.com/shopping-content/reference/rest/v2.1/regionalinventory/custombatch#body.request_body)
- [Response body](https://developers.google.com/shopping-content/reference/rest/v2.1/regionalinventory/custombatch#body.response_body)
  - [JSON representation](https://developers.google.com/shopping-content/reference/rest/v2.1/regionalinventory/custombatch#body.RegionalinventoryCustomBatchResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/shopping-content/reference/rest/v2.1/regionalinventory/custombatch#body.aspect)
- [RegionalinventoryCustomBatchRequest](https://developers.google.com/shopping-content/reference/rest/v2.1/regionalinventory/custombatch#RegionalinventoryCustomBatchRequest)
  - [JSON representation](https://developers.google.com/shopping-content/reference/rest/v2.1/regionalinventory/custombatch#RegionalinventoryCustomBatchRequest.SCHEMA_REPRESENTATION)
- [RegionalinventoryCustomBatchRequestEntry](https://developers.google.com/shopping-content/reference/rest/v2.1/regionalinventory/custombatch#RegionalinventoryCustomBatchRequestEntry)
  - [JSON representation](https://developers.google.com/shopping-content/reference/rest/v2.1/regionalinventory/custombatch#RegionalinventoryCustomBatchRequestEntry.SCHEMA_REPRESENTATION)
- [RegionalinventoryCustomBatchResponseEntry](https://developers.google.com/shopping-content/reference/rest/v2.1/regionalinventory/custombatch#RegionalinventoryCustomBatchResponseEntry)
  - [JSON representation](https://developers.google.com/shopping-content/reference/rest/v2.1/regionalinventory/custombatch#RegionalinventoryCustomBatchResponseEntry.SCHEMA_REPRESENTATION)
- [Try it!](https://developers.google.com/shopping-content/reference/rest/v2.1/regionalinventory/custombatch#try-it)

Updates regional inventory for multiple products or regions in a single request.

### HTTP request

`POST https://shoppingcontent.googleapis.com/content/v2.1/regionalinventory/batch`

### Request body

The request body contains an instance of `https://developers.google.com/shopping-content/reference/rest/v2.1/regionalinventory/custombatch#RegionalinventoryCustomBatchRequest`.

### Response body

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "entries": [ { object (`https://developers.google.com/shopping-content/reference/rest/v2.1/regionalinventory/custombatch#RegionalinventoryCustomBatchResponseEntry`) } ], "kind": string } ``` |

| Fields ||
|---|---|
| `entries[]` | ``object (`https://developers.google.com/shopping-content/reference/rest/v2.1/regionalinventory/custombatch#RegionalinventoryCustomBatchResponseEntry`)`` The result of the execution of the batch requests. |
| `kind` | `string` Identifies what kind of resource this is. Value: the fixed string "`content#regionalinventoryCustomBatchResponse`". |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/content`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).

## RegionalinventoryCustomBatchRequest

| JSON representation |
|---|
| ``` { "entries": [ { object (`https://developers.google.com/shopping-content/reference/rest/v2.1/regionalinventory/custombatch#RegionalinventoryCustomBatchRequestEntry`) } ] } ``` |

| Fields ||
|---|---|
| `entries[]` | ``object (`https://developers.google.com/shopping-content/reference/rest/v2.1/regionalinventory/custombatch#RegionalinventoryCustomBatchRequestEntry`)`` The request entries to be processed in the batch. |

## RegionalinventoryCustomBatchRequestEntry

A batch entry encoding a single non-batch regional inventory request.

| JSON representation |
|---|
| ``` { "batchId": integer, "merchantId": string, "method": string, "productId": string, "regionalInventory": { object (`https://developers.google.com/shopping-content/reference/rest/v2.1/regionalinventory#RegionalInventory`) } } ``` |

| Fields ||
|---|---|
| `batchId` | `integer (https://developers.google.com/discovery/v1/type-format format)` An entry ID, unique within the batch request. |
| `merchantId` | `string` The ID of the managing account. |
| `method` | `string` Method of the batch request entry. Acceptable values are: - "`insert`" <br /> |
| `productId` | `string` The ID of the product for which to update price and availability. |
| `regionalInventory` | ``object (`https://developers.google.com/shopping-content/reference/rest/v2.1/regionalinventory#RegionalInventory`)`` Price and availability of the product. |

## RegionalinventoryCustomBatchResponseEntry

A batch entry encoding a single non-batch regional inventory response.

| JSON representation |
|---|
| ``` { "batchId": integer, "errors": { object (`https://developers.google.com/shopping-content/reference/rest/v2.1/Errors`) }, "regionalInventory": { object (`https://developers.google.com/shopping-content/reference/rest/v2.1/regionalinventory#RegionalInventory`) }, "kind": string } ``` |

| Fields ||
|---|---|
| `batchId` | `integer (https://developers.google.com/discovery/v1/type-format format)` The ID of the request entry this entry responds to. |
| `errors` | ``object (`https://developers.google.com/shopping-content/reference/rest/v2.1/Errors`)`` A list of errors for failed custombatch entries. > [!NOTE] > **Note:** Schema errors fail the whole request. <br /> |
| `regionalInventory` | ``object (`https://developers.google.com/shopping-content/reference/rest/v2.1/regionalinventory#RegionalInventory`)`` Price and availability of the product. |
| `kind` | `string` Identifies what kind of resource this is. Value: the fixed string "`content#regionalinventoryCustomBatchResponseEntry`". |